Ruby: internal/util.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions | Variables
util.h File Reference

Internal header corresponding util.c. More...

`#include "ruby/internal/config.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Functions
char * | ruby_dtoa (double d_, int mode, int ndigits, int *decpt, int *sign, char **rve)
char * | ruby_hdtoa (double d, const char *xdigs, int ndigits, int *decpt, int *sign, char **rve)
unsigned long | ruby_scan_digits (const char *str, ssize_t len, int base, size_t *retlen, int *overflow)

## Variables
const signed char | ruby_digit36_to_number_table []
const char | ruby_hexdigits []

## Detailed Description

Internal header corresponding util.c.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Warning
  DO NOT ADD RANDOM GARBAGE HERE THIS FILE IS FOR util.c

Definition in file util.h.

## Function Documentation

## ◆ ruby_dtoa()

char * ruby_dtoa | ( | double | d_,
|  | int | mode,
|  | int | ndigits,
|  | int * | decpt,
|  | int * | sign,
|  | char ** | rve
| ) |  |

## ◆ ruby_hdtoa()

char * ruby_hdtoa | ( | double | d,
|  | const char * | xdigs,
|  | int | ndigits,
|  | int * | decpt,
|  | int * | sign,
|  | char ** | rve
| ) |  |

## ◆ ruby_scan_digits()

unsigned long ruby_scan_digits | ( | const char * | str,
|  | ssize_t | len,
|  | int | base,
|  | size_t * | retlen,
|  | int * | overflow
| ) |  |

Definition at line 101 of file util.c.

Referenced by ruby_strtoul().

## Variable Documentation

## ◆ ruby_digit36_to_number_table

const signed char ruby_digit36_to_number_table[]
| extern

Definition at line 79 of file util.c.

Referenced by ruby_scan_digits().

## ◆ ruby_hexdigits

const char ruby_hexdigits[]
| extern

Definition at line 34 of file util.c.